@import url(https://fonts.googleapis.com/css2?family=Jost:wght@100;200;300;400;500;600;700;800;900&amp;family=Poppins:wght@100;200;300;400;500;600;700;800;900&amp;display=swap);

.button_container {
    position: absolute;
    top: 25px;
    right: 100px;
    height: 27px;
    width: 25px;
    cursor: pointer;
    z-index: 100;
    transition: opacity .25s ease;
}

    .button_container:hover {
        opacity: .7;
    }

    .button_container.active .top {
        transform: translateY(9px) translateX(0) rotate(45deg);
        background: #000;
    }

    .button_container.active .middle {
        opacity: 0;
        background: #fff;
    }

    .button_container.active .bottom {
        transform: translateY(-9px) translateX(0) rotate(-45deg);
        background: #000;
    }

    .button_container span {
        background: #3e4095;
        border: none;
        height: 2px;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        transition: all .35s ease;
        cursor: pointer;
    }

        .button_container span:nth-of-type(2) {
            width: 70%;
            top: 9px;
            right: 0;
            margin-left: auto;
        }

        .button_container span:nth-of-type(3) {
            top: 18px;
        }

.overlay-fullmenu {
    position: fixed;
    background: url('../images/menu-bg.jpg') center center no-repeat;
    background-size: cover;
    top: 0;
    left: 0;
    width: 100%;
    height: 0%;
    opacity: 0;
    visibility: hidden;
    transition: opacity .35s,visibility .35s,height .35s;
    overflow: hidden;
}

    .overlay-fullmenu.open {
        opacity: 1;
        visibility: visible;
        height: 100%;
        z-index: 11;
    }

        .overlay-fullmenu.open li {
            animation: fadeInRight .5s ease forwards;
            animation-delay: .35s;
        }

            .overlay-fullmenu.open li:nth-of-type(2) {
                animation-delay: .4s;
            }

            .overlay-fullmenu.open li:nth-of-type(3) {
                animation-delay: .45s;
            }

            .overlay-fullmenu.open li:nth-of-type(4) {
                animation-delay: .5s;
            }

    .overlay-fullmenu .overlay-menu {
        position: relative;
        height: 75%;
        top: 60%;
        transform: translateY(-50%);
        font-family: Poppins,sans-serif;
        font-size: 14px;
        font-weight: 400;
    }

    .overlay-fullmenu ul {
        list-style: none;
        padding: 0;
        margin: 0 auto;
        display: inline-block;
        position: relative;
        height: 100%;
    }

.menudiv {
    position: relative;
}

.overlay-fullmenu ul li {
    display: block;
    position: relative;
    opacity: 0;
}

.menudiv h1 {
    margin: 0;
    margin-bottom: 10px;
    font-family: Poppins,sans-serif;
    font-size: 20px;
    font-weight: 600;
}

.overlay-fullmenu ul li a {
    display: inline;
    position: relative;
    font-family: Poppins,sans-serif;
    font-size: 16px;
    font-weight: 400;
    color: #000;
    text-decoration: none;
    overflow: hidden;
}

    .overlay-fullmenu ul li a:active:after, .overlay-fullmenu ul li a:focus:after, .overlay-fullmenu ul li a:hover:after {
        width: 100%;
    }

.menudiv:after {
    content: '';
    position: absolute;
    right: 0;
    height: 100%;
    top: 0;
    width: 1px;
    background: #000;
}

.overlay-fullmenu ul li a:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0%;
    transform: translateX(-50%);
    height: 1px;
    background: #000;
    transition: .35s;
}

@keyframes fadeInRight {
    0% {
        opacity: 0;
        left: 20%;
    }

    100% {
        opacity: 1;
        left: 0;
    }
}
